Deploy InternetArchiveBot on the Norwegian Bokmål/Riksmål Wikipedia (nowiki)
Closed, ResolvedPublic

Description

There is consensus on nowiki to deploy the bot there once it's ready: https://no.wikipedia.org/wiki/Wikipedia:Tinget/Arkiv/2017-04#Bekjempe_lenker.C3.A5te_med_InternetArchiveBot_p.C3.A5_nowiki.3F

From https://en.wikipedia.org/wiki/User_talk:Cyberpower678#InternetArchiveBot_and_Wayback_Machine_bot I understand that some work is still needed before the bot can be deployed to wikis other than enwiki, but let me know when translation and configuration can start.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 28 2017, 11:37 PM
jhsoby added a subscriber: jhsoby.Jan 29 2017, 12:07 AM
Nsaa added a subscriber: Nsaa.Jan 29 2017, 11:25 AM

Linking to a permanent record of acquired consensus.

Cyberpower678 triaged this task as High priority.Apr 19 2017, 6:02 PM

Can you provide me with the page to get the bot approved?

Danmichaelo updated the task description. (Show Details)May 8 2017, 7:58 PM

@Cyberpower678 : Here it is: https://no.wikipedia.org/wiki/Wikipedia-diskusjon:Roboter#Permissions_to_run_specific_bots

===[[Bruker:Bot name|]]===
{{botflagg|Your user name|Bot' user name}}
~~~~

Note that you don't have to wait for approval to do the test edits.

Cyberpower678 added a comment.EditedJun 4 2017, 4:58 PM

Bot appears to be approved, but a trial run should be run first, and of course a trial will be done first but, before the bot can be deployed, @Danmichaelo I need some translations done.

Here they are:

  • External links modified
  • Hello fellow editors,\n\nI have just modified {linksrescued} external links on [[{namespacepage}]]. Please take a moment to review [{diff} my edit]. If you have any questions, or need the bot to ignore the links, or the page altogether, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information. I made the following changes:\n{modifiedlinks}\nPlease refer to the FaQ for information on correcting errors with the bot.\n\nCheers.
  • External links found that need fixing
  • Hello fellow editors,\n\nI have found one or more external links on [[{namespacepage}]] that are in need of attention. Please take a moment to review the links I found and correct them on the article if necessary. I found the following problems:\n{modifiedlinks}\nWhen you have finished making the appropriate changes, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information to fix any issues with the URLs mentioned above.\n\nThis notice will only be made once for these URLs.\n\nCheers.
  • Trouble archiving links on the article
  • Hello. During the archive process, the archive returned errors for one or more sites that I submitted for archiving.\nBelow, I have included the links that returned with an error and the following error message.\n\n{problematiclinks}\nIn any event this will be the only notification in regards to these links, and no further attempt will be made to archive the links.\n\nCheers.
  • {link} is found to be dead. Recommend adding {newarchive} to the original URL.
  • {link} is found to be dead. No archive was found.
  • {link} is considered to be dead, however has been found to be alive. Recommend removing the dead flag from the URL.
  • Added archive {newarchive} to {link}
  • Replaced archive link {oldarchive} with {newarchive} on {link}
  • Corrected formatting/usage for {link}
  • Added {{tlx|dead link}} tag to {link}
  • Removed dead tag from {link}
  • Modified source for {link}
  • {problem} with error {error}
  • Rescuing {linksrescued} sources and tagging {linkstagged} as dead.
  • Notification of errors encountered when attempting to archive links
  • Notification of altered sources needing review

If you could translate these phrases to your native language, or have translators do it, that would be a big step towards deployment. When translating, make sure not to touch anything inside the single brackets "{}". These are bot keywords. The \n\n are newlines the bot uses. There rest is wiki markup.

jhsoby added a comment.EditedJun 6 2017, 8:38 PM

Here are the translations. @Danmichaelo, please check to see if I made any mistakes or if there's anything to improve.

  • Endret eksterne lenker
  • Hei bidragsytere, \n\nJeg har nettopp endret {linksrescued} eksterne lenker på [[{namespacepage}]]. Vennligst sjekk [{diff} endringen min]. Om du har spørsmål eller ønsker at botten skal ignorere lenkene, eller hele siden, besøk [[m:InternetArchiveBot/FAQ|denne spørsmålssiden]] for mer informasjon. Jeg har gjort følgende endringer:\n{modifiedlinks}\nSjekk spørsmålssiden for informasjon om hvordan man kan fikse feil med botten.\n\nTakk.
  • Fant eksterne lenker som trenger å fikses
  • Hei bidragsytere,\n\nJeg har funnet én eller flere lenker på [[{namespacepage}]] som trenger oppmerksomhet. Vennligst gå gjennom lenkene jeg fant og rett dem i artikkelen om det trengs. Jeg fant følgende problemer:\n{modifiedlinks}\nNår du har gjort de nødvendige endringene, besøk [[m:InternetArchiveBot/FAQ|denne spørsmålssiden]] for mer informasjon om hvordan man kan fikse feil med de nevnte URL-ene.\n\nDenne beskjeden vil kun bli gitt én gang for disse URL-ene.\n\nTakk.
  • Problemer med å arkivere lenker i artikkelen
  • Hei. Under arkiveringsprosessen ga arkivet feilmelding for ett eller flere nettsteder som ble satt til arkivering.\nJeg har inkludert lenkene som ga feilmelding nedenfor med feilmeldingen.\n\n{problematiclinks}\nUansett vil dette være det eneste varselet angående disse lenkene, og ingen videre forsøk på å arkivere lenkene vil bli gjort.\n\nTakk.
  • {link} ser ut til å være død. Anbefaler å legge til {newarchive} til den opprinnelige URL-en.
  • {link} ser ut til å være død. Intet arkiv funnet.
  • {link} anses for å være død, men ble funnet i live. Anbefaler å fjerne flagget for død lenke fra URL-en.
  • La til arkivet {newarchive} til {link}
  • Erstattet arkivlenka {oldarchive} med {newarchive} på {link}
  • Rettet formatering/bruk for {link}
  • La til {{malp|død lenke}}-tagg til {link}
  • Fjernet død lenke-tagg fra {link}
  • Endret kilde for {link}
  • {problem} med feilen {error}
  • Redder {linksrescued} kilder og tagger {linkstagged} som død.
  • Varsel om feil som oppsto under arkivering av lenker
  • Varsel om endrede kilder som trenger gjennomgang

@Cyberpower678: About the line "Rescuing {linksrescued} sources and tagging {linkstagged} as dead.": Where is it used? Is it used as an edit summary? Because it could do with some {{PLURAL}} support, but I'm not sure that works in edit summaries without some additional magic.

Here are the translations. @Danmichaelo, please check to see if I made any mistakes or if there's anything to improve.

  • Endret eksterne lenker
  • Hei bidragsytere, \n\nJeg har nettopp endret {linksrescued} eksterne lenker på [[{namespacepage}]]. Vennligst sjekk [{diff} endringen min]. Om du har spørsmål eller ønsker at botten skal ignorere lenkene, eller hele siden, besøk [[m:InternetArchiveBot/FAQ|denne spørsmålssiden]] for mer informasjon. Jeg har gjort følgende endringer:\n{modifiedlinks}\nSjekk spørsmålssiden for informasjon om hvordan man kan fikse feil med botten.\n\nTakk.
  • Fant eksterne lenker som trenger å fikses
  • Hei bidragsytere,\n\nJeg har funnet én eller flere lenker på [[{namespacepage}]] som trenger oppmerksomhet. Vennligst gå gjennom lenkene jeg fant og rett dem i artikkelen om det trengs. Jeg fant følgende problemer:\n{modifiedlinks}\nNår du har gjort de nødvendige endringene, besøk [[m:InternetArchiveBot/FAQ|denne spørsmålssiden]] for mer informasjon om hvordan man kan fikse feil med de nevnte URL-ene.\n\nDenne beskjeden vil kun bli gitt én gang for disse URL-ene.\n\nTakk.
  • Problemer med å arkivere lenker i artikkelen
  • Hei. Under arkiveringsprosessen ga arkivet feilmelding for ett eller flere nettsteder som ble satt til arkivering.\nJeg har inkludert lenkene som ga feilmelding nedenfor med feilmeldingen.\n\n{problematiclinks}\nUansett vil dette være det eneste varselet angående disse lenkene, og ingen videre forsøk på å arkivere lenkene vil bli gjort.\n\nTakk.
  • {link} ser ut til å være død. Anbefaler å legge til {newarchive} til den opprinnelige URL-en.
  • {link} ser ut til å være død. Intet arkiv funnet.
  • {link} anses for å være død, men ble funnet i live. Anbefaler å fjerne flagget for død lenke fra URL-en.
  • La til arkivet {newarchive} til {link}
  • Erstattet arkivlenka {oldarchive} med {newarchive} på {link}
  • Rettet formatering/bruk for {link}
  • La til {{malp|død lenke}}-tagg til {link}
  • Fjernet død lenke-tagg fra {link}
  • Endret kilde for {link}
  • {problem} med feilen {error}
  • Redder {linksrescued} kilder og tagger {linkstagged} som død.
  • Varsel om feil som oppsto under arkivering av lenker
  • Varsel om endrede kilder som trenger gjennomgang

    @Cyberpower678: About the line "Rescuing {linksrescued} sources and tagging {linkstagged} as dead.": Where is it used? Is it used as an edit summary? Because it could do with some {{PLURAL}} support, but I'm not sure that works in edit summaries without some additional magic.

Yes, it's an edit summary, and no PLURAL does not work, or I would have implemented during some point in the last 2 years. ;)

Thanks! Looks good to me, just not too happy with "Hei bidragsytere," since it looses the "fellow" aspect. I suggest either "Hei kollegaer," or just skipping the introduction line altogether. What do you prefer, @jhsoby ?

Agreed! I'd prefer skipping that line altogether, or maybe just use "Hei,". Either one is fine with me.

Implementing this wiki now. I should hopefully have it ready in 48 hours.

Shortened and modified the three main messages a little bit:

  • Original: Hello fellow editors,\n\nI have just modified {linksrescued} external links on [[{namespacepage}]]. Please take a moment to review [{diff} my edit]. If you have any questions, or need the bot to ignore the links, or the page altogether, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information. I made the following changes:\n{modifiedlinks}\nPlease refer to the FaQ for information on correcting errors with the bot.\n\nCheers.
    • Translation (nb): Jeg har nettopp endret {linksrescued} ekstern(e) lenke(r) i artikkelen [[{namespacepage}]]. Sjekk gjerne at [{diff} endringen min] er OK. Hvis du ønsker at jeg skal ignorere disse lenkene eller hele siden, eller hvis du har andre spørsmål, se [[m:InternetArchiveBot/FAQ|denne spørsmålssiden]]. Jeg har gjort følgende endringer:\n{modifiedlinks}\n\nMed hilsen
  • Original: Hello fellow editors,\n\nI have found one or more external links on [[{namespacepage}]] that are in need of attention. Please take a moment to review the links I found and correct them on the article if necessary. I found the following problems:\n{modifiedlinks}\nWhen you have finished making the appropriate changes, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information to fix any issues with the URLs mentioned above.\n\nThis notice will only be made once for these URLs.\n\nCheers.
    • Translation (nb): Jeg har funnet én eller flere eksterne lenker i artikkelen [[{namespacepage}]] som bør sjekkes for problemer. Vær snill å gå gjennom lenkene og rett dem i artikkelen om det trengs. Følgende problemer ble funnet:\n{modifiedlinks}\nNår du har gjort de nødvendige endringene, besøk gjerne [[m:InternetArchiveBot/FAQ|denne spørsmålssiden]] for mer informasjon om hvordan man kan fikse feil med de nevnte URL-ene.\n\nDenne beskjeden vil kun bli gitt én gang for disse URL-ene.\n\nMed hilsen
  • Original: Hello. During the archive process, the archive returned errors for one or more sites that I submitted for archiving.\nBelow, I have included the links that returned with an error and the following error message.\n\n{problematiclinks}\nIn any event this will be the only notification in regards to these links, and no further attempt will be made to archive the links.\n\nCheers.
    • Translation (nb): Under arkiveringsprosessen ga arkivet feilmelding for ett eller flere nettsteder som ble satt til arkivering.\nUnder finner du lenkene som ga feilmelding sammen med feilmeldingen(e).\n\n{problematiclinks}\nIngen videre forsøk på å arkivere disse lenkene vil bli gjort.\n\nMed hilsen

I have installed the translations into the configuration page. I will for real this time hopefully have it ready within 48 hours. I was caught up with bug fixes and partial rewrites which needed to be done before continuing deployment.

Cyberpower678 closed this task as Resolved.Mon, Jun 26, 9:16 PM

Deployed to the Norwegian Wikipedia.

Hey @Danmichaelo I recommend advertising https://tools.wmflabs.org/iabot?wiki=nowiki to the Wikipedians on that wiki and also recommend adding

* [//tools.wmflabs.org/iabot/index.php?page=runbotsingle&pagesearch={{FULLPAGENAMEE}}&wiki=nowiki Fix dead links]

to [[MediaWiki:HistLegend]], translated of course.